require([
    'qui/QUI',
    'Ajax'
], function (QUI, QUIAjax) {
    "use strict";

    /**
     * Checks if the cookiebanner has to be loaded.
     * Response contains the control's HTML.
     */
    QUIAjax.get('package_quiqqer_gdpr_ajax_initCookieBannerLoader', function (response) {
        // If we don't get a response all necessary cookies were already accepted
        if (!response) {
            if (window.localStorage) {
                // User already interacted with the banner so set this value for the future.
                window.localStorage.setItem(GDPR.storageKeys.hideBanner, '1');
            }

            return;
        }

        // Create a wrapper to embed the control in
        var CookieConsent = document.createElement('div');
        CookieConsent.id = 'quiqqer-cookieconsent-wrapper';
        CookieConsent.innerHTML = response;

        // Append the wrapper to the end of the body
        document.body.appendChild(CookieConsent);

        // Parse the control's HTML so data-qui attributes are interpreted & executed
        QUI.parse(CookieConsent);
    }, {
        'package': 'quiqqer/gdpr',
        lang: QUIQQER_PROJECT.lang
    });
});
